import type { SentMessageInfo, Transport } from 'nodemailer';
import type { Options as OAuth2Options } from 'nodemailer/lib/xoauth2';
import type MailMessage from 'nodemailer/lib/mailer/mail-message';
type MailMessageWithBcc = MailMessage & {
    message: {
        keepBcc: boolean;
    };
};
type DoneCallback = (err: Error | null, info?: SentMessageInfo) => void;
export interface Options {
    auth: OAuth2Options;
    userId?: string;
}
export declare class GmailTransport implements Transport {
    private options;
    name: string;
    version: string;
    constructor(options: Options);
    private getAccessToken;
    private sendMail;
    send(mail: MailMessageWithBcc, done: DoneCallback): void;
}
export default GmailTransport;
